#{extends 'border.html'/}
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				#{if type.equals("penyedia")}
					<li><a href="@{masterdata.PenyediaCtr.index()}">&{'penyedia.label'}</a></li>
					<li><a href="@{penyedia.KontrakCtr.index(pid)}">&{'kontrak.label'}</a></li>
				#{/if}
				#{else}
                    <li><a href="@{prakatalog.PenawaranCtr.index()}">&{'penawaran.label'}</a></li>
				#{/else}
				<li class="active">&{'unggah.label'} &{'kontrak.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	#{form @penyedia.KontrakCtr.createSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

		<div class="row">
			<div class="col-md-12">
				<!-- Toolbar -->
				<div class="toolbar">
					#{backButton /}
					#{saveButton /}
				</div>
				<!-- End Toolbar -->
			</div>
		</div>

		<div class="row">
			<div class="col-md-12">
				<input type="hidden" name="type" value="${type}"/>
				<input type="hidden" name="pid" value="${pid}"/>
				<div class="panel panel-default">
					<div class="panel-body">
						<div class="form-group required">
							<label class="col-md-2 control-label">&{'nomor_kontrak.label'}</label>
							<div class="col-md-9">
								<input required class="form-control" name="kontrak.no_kontrak" />
							</div>
						</div>

							<div class="form-group">
								<label class="col-md-2 control-label">&{'komoditas.label'}</label>
								<div class="col-md-9">
									#{if type.equals("penyedia")}
                                        <input type="text" name="objpenyedia.id" value="${objpenyedia.id}"/>
										<input type="hidden" name="kontrak.penyedia_id" value="${penyedia_id}"/>
										<select name="kontrak.komoditas_id" class="form-control">
											<option>&{'pilih.label'}</option>
											#{list komoditasList, as:'komoditas'}
												<option value="${komoditas.id}">${komoditas.nama_komoditas}</option>
											#{/list}
										</select>
									#{/if}
									#{else}
*{										<p>kemedia</p>}*
*{										<p>Komoditas not define</p>}*
                                        <input type="hidden" name="kontrak.penyedia_id" value="${objpenyedia?.id}"/>
										<input type="hidden" name="kontrak.komoditas_id" value="${komoditas?.id}"  />
										<input class="form-control" readonly value="${komoditas?.nama_komoditas}"  />
									#{/else}
								</div>
							</div>

						<div class="form-group">
							<label class="col-md-2 control-label">&{'tanggal_masa_berlaku.label'}</label>
							<div class="col-md-9">
                                <div class="input-group input-daterange">
									<input class="form-control" name="kontrak.tgl_masa_berlaku_mulai" />
                                    <div class="input-group-addon">&{"sampai_dengan.label"}</div>
									<input class="form-control" name="kontrak.tgl_masa_berlaku_selesai" />
                                </div>
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-2 control-label">&{'apakah_aktif_berjalan.label'}</label>
							<div class="col-md-9">
								<input type="radio" name="kontrak.apakah_berlaku" value="1" /> &{'ya.label'}
								<input type="radio" name="kontrak.apakah_berlaku" value="0" /> &{'tidak.label'}
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-2 control-label">&{'deskripsi_singkat.label'} &{'kontrak.label'}</label>
							<div class="col-md-9">
								<textarea class="form-control" name="kontrak.deskripsi" rows="5"></textarea>
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-2 control-label">&{'file_kontrak.label'}</label>
							<div class="col-md-9">
								<p>&{'maksimum.label'} &{'ukuran_file.label'} 10MB: pdf dan zip.</p>
								<input type="file" id="fileupload" name="file" />
							</div>
						</div>

						<div id="progress" class="progress" style="display: none;">
							<div class="progress-bar progress-bar-success"></div>
						</div>
						<div class="form-group required">
							<div id="alert-upload" style="margin-top: 10px;"></div>
							<label class="col-md-2 control-label">&{'nama_file.label'}</label>
							<div class="col-md-9">
								<input required id="nama_file" class="form-control" readonly/>
								<input id="file_id" name="file_id" type="hidden"/>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	#{/form}
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">

    $(document).on('click', '#fileupload', function(){
        // console.log("upload..");
        $('#fileupload').fileupload({
            url: '@{penyedia.KontrakCtr.upload()}',
			formData: {action: "${action}", id: "${kontrak?.id}", idp: "${objpenyedia?.id}"},
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(pdf|zip)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
					$("#nama_file").val(file.name);
					//$("#file_id").val(file.id);//id adalah blob id
					$("#file_id").val(file.blb_id_content);//adalah dalam hal ini id dari penyedia kontrak
                });
                $('#progress').hide();
                $('#alert-upload').hide();

                if (data.result.errorx != null){
                    //$('#alert-upload').attr('class', 'alert alert-danger').html("&{'paket.upload_failed'}");
                    //alert("&{'paket.upload_failed'}");
                    showToast("&{'paket.upload_failed'}");
                }
            },
            error: function (jqXHR, exception) {
                //alert(jqXHR.status);
                var msg = '';
                if (jqXHR.status === 0) {
                    msg = 'Not connect.\n Verify Network.';
                } else if (jqXHR.status == 404) {
                    msg = 'Requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    msg = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    msg = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    msg = 'Time out error.';
                } else if (exception === 'abort') {
                    msg = 'Ajax request aborted.';
                } else {
                    msg = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                alert(msg);
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    function showToast(message) {
        jQuery.toast({
            heading: 'Oops',
            text: message,
            position: 'bottom-center',
            stack: false,
            icon: 'error',
            hideAfter: 6000
        })
    }

</script>
#{/set}


